const RowColor = () => { };

RowColor.get = (status) => {
    switch (status) {
        case "Se ganó":
            return "Won";
        case "Se perdió":
            return "Lost";
        case "Deserto":
        case "Desertó":
            return "Defect"
        case "Se está trabajando":
            return ""
        case "En espera de fallo":
            return "Waiting"
        case "No se participó":
            return "Die"
        default:
            return "";
    }
}

RowColor.color = (status) => {
    switch (status) {
        case "Se ganó":
            return "green";
        case "Se perdió":
            return "#fc6060";
        case "Deserto":
        case "Desertó":
            return "yellow";
        case "Se está trabajando":
            return "white";
        case "En espera de fallo":
            return "lightgreen";
        case "No se participó":
            return "gray"
        default:
            return "white";
    }
}

RowColor.getColor = (status) => {
    switch (status) {
        case "En proceso":
            return "Processing";
        case "En terceros":
            return "Third";
        case "Propuesta lista":
            return "Ready"
        case "Finalizado":
            return "Finished"
        default:
            return "";
    }
}

RowColor.statusColor = (status) => {
    switch (status) {
        case "En proceso":
            return "white";
        case "En terceros":
            return "#fc6060";
        case "Propuesta lista":
            return "yellow"
        case "Finalizado":
            return "green"
        default:
            return "white";
    }
}

export default RowColor;